# A nova plataforma do Software Público Brasileiro

O governo federal brasileiro vem nos últimos anos buscando melhorias nos seus
processos de desenvolvimento e adoção de software.  Desde 2003, a recomendação
da adoção de software livre passou a ser uma política, inicialmente incentivada
com a criação do _Guia
Livre_^[governoeletronico.gov.br/acoes-e-projetos/guia-livre]. Em 2007, a
Secretaria de Logística e Tecnologia da Informação (SLTI) do Ministério do
Planejamento, Orçamento e Gestão (MP) inaugurou o Portal do Software Público
Brasileiro (SPB)^[softwarepublico.gov.br], que é um sistema web consolidado
como um ambiente de compartilhamento de projetos de software no governo. A
_Instrução Normativa
04/2012_^[governoeletronico.gov.br/biblioteca/arquivos/instrucao-normativa-no-04-de-12-de-novembro-de-2010]
indica que os gestores devem consultar as soluções existentes no Portal do SPB
antes de realizar uma contratação de software.  Hoje, com o portal do SPB tem
cerca de 69 comunidades de desenvolvimento e mais de 200.000 usuários
cadastrados. Entretanto, a evolução do SPB foi comprometida desde 2009, quando
a plataforma não acompanhou a evolução do seu _framework_ base, o
_OpenACS_^[openacs.org], não tendo versões lançadas desde então.

Nesse contexto, uma nova plataforma para o SPB está sendo desenvolvida baseada
na integração de ambientes colaborativo, sistemas de controle de versão e de
monitoramento da qualidade do código-fonte.  Para concretizar a evolução do
SPB, a Universidade de Brasília está coordenando tal processo, através de uma
equipe heterogênea composta por alunos, professores e profissionais, que estão
aplicando métodos ágeis e práticas de desenvolvimento distribuído.

<!------------------------------------------------------------------------>

**Funcionalidades e Arquitetura**

A nova plataforma para o SPB foi pensada para comtemplar ferramentas que
promovam a colaboração e interação nas comunidades (gestores, usuários e
desenvolvedores) dos projetos, conforme as práticas usadas nas comunidades de
software livre. Isso inclui listas de e-mails, fórum de discussão, _issue/bug
tracker_, sistema de controle de versão e ambiente de rede social.

Para integrar as ferramentas e prover a autenticação única nos serviços da
plataforma, um sistema web chamado Colab que funcionada como _proxy reverso_
para os ambientes está sendo evoluído. Em resumo, o Colab consiste na
integração de busca, de autenticação e visual, apresentando um único ambiente
ao usuário que tem seu perfil com as métricas de contribuições (e-mails para
listas, documentação, cadastros de _issues_ e _commits_ nos repositórios) gamificadas.

O Colab foi escrito em 2007 e reescrito em 2011, utilizando a linguagem Python
e o _framework_ Jango, para o Interlegis (programa do Senado Federal). Por
padrão, funciona como servidor de listas de e-mail intregrado ao Mailman, com o
Apache Solr indexando os conteúdos para as buscas. A partir de 2014, para o SPB o
GitLab e o Noosfero foram integradas ao Colab para compor o novo ambiente do
SPB.

GitLab é uma plataforma de desenvolvimento colaborativo social integrada ao
sistema de controle de versão Git...

Noosfero é uma plataforma para redes sociais e economia solidária que contém
várias funcionalidades de CMS para cada perfil (comunidade e usuário)...

<!------------------------------------------------------------------------>

**Conclusões.**
